## golang-github-notaryproject-notation 1.2.0

=== debian/changelog ===
golang-github-notaryproject-notation (1.2.0-5) experimental; urgency=medium

  * Bump dependencies for CVE-2024-56138, Closes: #1094409

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Jun 2025 15:01:54 -0400

golang-github-notaryproject-notation (1.2.0-4) unstable; urgency=medium

  * No-change upload to help testing migration, Closes: #1089751

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 25 Dec 2024 20:38:41 -0500

golang-github-notaryproject-notation (1.2.0-3) unstable; urgency=medium

  * debian/copyright: Mention the Oras authors

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 19 Dec 2024 16:04:58 -0500

golang-github-notaryproject-notation (1.2.0-2) unstable; urgency=medium

  * Add e2e autopkgtests
  * Adjust Error signature when running on Debian

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 Dec 2024 11:48:39 -0500

golang-github-notaryproject-notation (1.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1089751)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 12 Dec 2024 05:43:18 -0500
