=== debian/control ===
Source: golang-github-notaryproject-notation
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-go-ldap-ldap-dev,
 golang-github-notaryproject-notation-core-go-dev (>> 1.1.0-7~),
 golang-github-notaryproject-notation-go-dev (>> 1.2.1-5~),
 golang-github-notaryproject-tspclient-go-dev,
 golang-github-onsi-ginkgo-v2-dev,
 golang-github-opencontainers-go-digest-dev,
 golang-github-opencontainers-image-spec-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-golang-x-net-dev,
 golang-golang-x-term-dev,
 golang-logrus-dev
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation.git
Homepage: https://github.com/notaryproject/notation
XS-Go-Import-Path: github.com/notaryproject/notation

Package: golang-github-notaryproject-notation-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-go-ldap-ldap-dev,
 golang-github-notaryproject-notation-core-go-dev (>> 1.1.0-7~),
 golang-github-notaryproject-notation-go-dev (>> 1.2.1-5~),
 golang-github-notaryproject-tspclient-go-dev,
 golang-github-opencontainers-go-digest-dev,
 golang-github-opencontainers-image-spec-dev,
 golang-github-spf13-cobra-dev,
 golang-github-spf13-pflag-dev,
 golang-golang-x-net-dev,
 golang-golang-x-term-dev,
 golang-logrus-dev,
 ${misc:Depends}
Description: CLI tool to sign and verify artifacts (library)
 Notation is a CLI project to add signatures as standard items in the OCI
 registry ecosystem, and to build a set of simple tooling for signing and
 verifying these signatures. This should be viewed as similar security to
 checking git commit signatures, although the signatures are generic and
 can be used for additional purposes.

Package: notation
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Built-Using:
 ${misc:Built-Using}
Description: CLI tool to sign and verify artifacts (program)
 Notation is a CLI project to add signatures as standard items in the OCI
 registry ecosystem, and to build a set of simple tooling for signing and
 verifying these signatures. This should be viewed as similar security to
 checking git commit signatures, although the signatures are generic and
 can be used for additional purposes.
