=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := notation/test/e2e

%:
	dh $@ --builddirectory=_build --buildsystem=golang
