## golang-github-notaryproject-notation 1.3.2

=== debian/changelog ===
golang-github-notaryproject-notation (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Use watch v5, pin at v1.
  * New upstream version 1.3.2
  * Drop Rules-Requires-Root: no.
  * Standards-Version: 4.7.2.
  * Refresh patches.
  * Improve Description:'s.
  * Silence debian-watch-file-pubkey-file-is-missing.
  * Add Static-Built-Using:.
  * Improve description and forwarded for tests-e2e-adjust.patch.
  * Bump debian/* copyright years.
  * Add man page via help2man.
  * Don't use obsolete golang-logrus-dev.

 -- Simon Josefsson <simon@josefsson.org>  Sat, 01 Nov 2025 13:37:06 +0100
