=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
@@ -16,13 +15,14 @@
  golang-github-onsi-ginkgo-v2-dev,
  golang-github-opencontainers-go-digest-dev,
  golang-github-opencontainers-image-spec-dev,
+ golang-github-sirupsen-logrus-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
  golang-golang-x-net-dev,
  golang-golang-x-term-dev,
- golang-logrus-dev
+ help2man <!nodoc>,
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-notaryproject-notation.git
 Homepage: https://github.com/notaryproject/notation
@@ -38,11 +38,11 @@
  golang-github-notaryproject-tspclient-go-dev,
  golang-github-opencontainers-go-digest-dev,
  golang-github-opencontainers-image-spec-dev,
+ golang-github-sirupsen-logrus-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-pflag-dev,
  golang-golang-x-net-dev,
  golang-golang-x-term-dev,
- golang-logrus-dev,
  ${misc:Depends}
 Description: CLI tool to sign and verify artifacts (library)
  Notation is a CLI project to add signatures as standard items in the OCI
@@ -50,6 +50,8 @@
  verifying these signatures. This should be viewed as similar security to
  checking git commit signatures, although the signatures are generic and
  can be used for additional purposes.
+ .
+ This package contains the Go source code.
 
 Package: notation
 Architecture: any
@@ -58,9 +60,13 @@
  ${shlibs:Depends}
 Built-Using:
  ${misc:Built-Using}
+Static-Built-Using:
+ ${misc:Static-Built-Using}
 Description: CLI tool to sign and verify artifacts (program)
  Notation is a CLI project to add signatures as standard items in the OCI
  registry ecosystem, and to build a set of simple tooling for signing and
  verifying these signatures. This should be viewed as similar security to
  checking git commit signatures, although the signatures are generic and
  can be used for additional purposes.
+ .
+ This package contains the command-line tool 'notation'.
