=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk # DEB_VERSION

export DH_GOLANG_EXCLUDES := notation/test/e2e

%:
	dh $@ --builddirectory=_build --buildsystem=golang

B = $(CURDIR)/debian/tmp/usr/bin
M = $(CURDIR)/debian/tmp/usr/share/man/man1

ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
execute_before_dh_installman-arch:
	mkdir -pv $(M)
	help2man --version-string="$(DEB_VERSION)" \
		--no-info \
		--name="a tool to sign and verify artifacts" \
		--output $(M)/notation.1 \
		$(B)/notation
endif
