=== debian/tests/control ===
Tests: e2e
Depends: @, @builddeps@, docker.io, docker-cli, ginkgo, ca-certificates
Restrictions: allow-stderr, needs-internet, isolation-machine, rw-build-tree, needs-sudo
